Conditional Orders
fco-orderbook
Retrieve the list of actual orders triggered by a conditional order.
Authorization
Bearer AuthorizationBearer <token>
Enter the JWT token in the format Bearer <token>.
In: header
Header Parameters
Content-Typestringrequired
The content format of the request body. Mainly application/json.
User-Agentstringoptional
Information about the client sending the request.
Accept-Languagestringoptional
The desired response language. If this header is not provided, the system defaults to en.
Query Parameters
fcoIdstringrequired
ID of the conditional order whose resulting order book is to be queried.
pageIndexintegeroptional
The page index when paginating results, starting from 1. Defaults to 1.
pageSizeintegeroptional
The number of records per page. Defaults to 10.
Response Headers
X-RATELIMIT-LIMITstringoptional
The request limit within the period.
X-RATELIMIT-REMAININGstringoptional
The number of requests remaining in the current period.
X-RATELIMIT-RESETstringoptional
The time at which the request limit resets.
Response Body
application/json
application/json
curl -X GET "https://api.ssi.com.vn/api/v3/trading/fco/orderbook?fcoId=string" \ -H "Content-Type: application/json"Success
{
"pageIndex": "string",
"pageSize": "string",
"itemsCount": "string",
"pagesCount": "string",
"data": [
{
"fcoId": "string",
"accountNo": "string",
"quantity": 0.1,
"price": "string",
"symbol": "string",
"side": "B",
"orderType": "string",
"isMainOrder": true,
"isAttachedOrder": true,
"createdTime": "string",
"updatedTime": "string",
"uniqueId": "string",
"orderId": "string",
"matchedQuantity": 0.1,
"osQuantity": 0.1,
"avgPrice": 0.1,
"status": "RQ",
"detail": "string"
}
]
}Invalid request.
{
"code": "400",
"msg": "Invalid request"
}